Package de.gebit.integrity.dsl

## Interface TimeDifference

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `TimeDifferenceImpl`

      public interface TimeDifference
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Time Difference'.

  The following features are supported:

  - `Direction`
  - `Fixed Values`
  - `Calculated Value`
  See Also:
    `DslPackage.getTimeDifference()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueOrEnumValueOrOperation` | `getCalculatedValue()` | Returns the value of the 'Calculated Value' containment reference.
    `String` | `getDirection()` | Returns the value of the 'Direction' attribute.
    `org.eclipse.emf.common.util.EList<String>` | `getFixedValues()` | Returns the value of the 'Fixed Values' attribute list.
    `void` | `setCalculatedValue​(ValueOrEnumValueOrOperation value)` | Sets the value of the '`Calculated Value`' containment reference.
    `void` | `setDirection​(String value)` | Sets the value of the '`Direction`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDirection

          String getDirection()

      Returns the value of the 'Direction' attribute.
      Returns:
        the value of the 'Direction' attribute.
      See Also:
        `setDirection(String)`, `DslPackage.getTimeDifference_Direction()`

    - #### setDirection

          void setDirection​(String value)

      Sets the value of the '`Direction`' attribute.
      Parameters:
        `value` - the new value of the 'Direction' attribute.
      See Also:
        `getDirection()`

    - #### getFixedValues

          org.eclipse.emf.common.util.EList<String> getFixedValues()

      Returns the value of the 'Fixed Values' attribute list. The list contents are of type `String`.
      Returns:
        the value of the 'Fixed Values' attribute list.
      See Also:
        `DslPackage.getTimeDifference_FixedValues()`

    - #### getCalculatedValue

          ValueOrEnumValueOrOperation getCalculatedValue()

      Returns the value of the 'Calculated Value' containment reference.
      Returns:
        the value of the 'Calculated Value' containment reference.
      See Also:
        `setCalculatedValue(ValueOrEnumValueOrOperation)`, `DslPackage.getTimeDifference_CalculatedValue()`

    - #### setCalculatedValue

          void setCalculatedValue​(ValueOrEnumValueOrOperation value)

      Sets the value of the '`Calculated Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Calculated Value' containment reference.
      See Also:
        `getCalculatedValue()`